package com.emr.service;

import com.emr.entity.Archive_Master;
import com.emr.entity.Archive_Master_Vo;
import com.emr.entity.OffsetLimitPage;
import com.emr.entity.Zd_Assort;

import java.util.List;

public interface ScanInfoService {
    OffsetLimitPage scanCountPage(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit);

    List<Archive_Master_Vo> scanCountList(Archive_Master_Vo archiveMasterVo);

    OffsetLimitPage scanDetailPage(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit);

    List<Archive_Master_Vo> scanDetailList(Archive_Master_Vo archiveMasterVo);
}
